Bug 475047 - compiz segfaults when transitioning from enabled to disabled
compiz segfaults when transitioning from enabled to disabled
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-06 20:17 EST by Tom London
Modified: 2018-04-11 03:40 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-05 14:17:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of "gdb compiz" segfaulting (204.87 KB, image/jpeg)
2008-12-06 20:27 EST, Tom London
no flags Details
"typescript" output of running "gdb -p Compiz_Process_number" (14.89 KB, text/plain)
2008-12-21 19:41 EST, Tom London
no flags Details
First compiz patch file (2.00 KB, patch)
2009-03-14 20:25 EDT, Tom London
no flags Details | Diff
Second compiz patch file (6.82 KB, patch)
2009-03-14 20:26 EDT, Tom London
no flags Details | Diff
Patch to desktop-effects to add missing header files (499 bytes, patch)
2009-03-14 20:28 EDT, Tom London
no flags Details | Diff

  None (edit)
Description Tom London 2008-12-06 20:17:44 EST
Description of problem:
I have compiz (Desktop Effects) enabled on login.

If I disable it (via System->Preferences->Look and Feel->Desktop Effects), compiz segfaults:

Dec  6 17:02:13 tlondon kernel: compiz[3147]: segfault at 3cc262ec10 ip 0000003cc262ec10 sp 00007fff64bb7608 error 14 in libstartup-notification-1.so.0.0.0[3cc5a00000+9000]

Starts up again if enabled via above.

Version-Release number of selected component (if applicable):
compiz-fusion-0.7.8-3.fc11.x86_64
compiz-gnome-0.7.8-7.fc11.x86_64
compiz-fusion-extras-0.7.8-4.fc11.x86_64
compizconfig-python-0.7.8-2.fc11.x86_64
compiz-0.7.8-7.fc11.x86_64
compiz-fusion-gnome-0.7.8-3.fc11.x86_64
compiz-fusion-extras-gnome-0.7.8-4.fc11.x86_64


How reproducible:
Every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2008-12-06 20:27:22 EST
Created attachment 326027 [details]
Screenshot of "gdb compiz" segfaulting

I set up "gdb compiz" on Ctrl-Alt-F2 before disabling.

Got this backtrace......

More I can provide?
Comment 2 Tom London 2008-12-08 10:19:51 EST
Same segfault with compiz-0.7.8-9.fc11.x86_64


Dec  8 07:18:36 tlondon kernel: compiz[3094]: segfault at 3cc262ec10 ip 0000003cc262ec10 sp 00007fff6b9d01d8 error 14 in libstartup-notification-1.so.0.0.0[3cc5a00000+9000]
Comment 3 Tom London 2008-12-08 10:21:31 EST
BTW: startup-notification-0.9-5.fc11.x86_64
Comment 4 Tom London 2008-12-21 17:34:58 EST
Continue to see this each time compiz exits (e.g., at logout/shutdown):

Dec 21 13:50:38 tlondon kernel: compiz[3129]: segfault at 30 ip 000000000040edfe sp 00007fff831dbf50 error 4 in compiz[400000+3a000]
Comment 5 Matěj Cepl 2008-12-21 19:00:18 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

In your previous attempt you had missing debuginfo information. So, please install compiz-debuginfo package (debuginfo-install is from
yum-utils package).

	debuginfo-install compiz

Then just run gdb compiz and use command run and do whatever you did to make compiz crash. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 6 Tom London 2008-12-21 19:41:23 EST
Created attachment 327601 [details]
"typescript" output of running "gdb -p Compiz_Process_number"

OK.  Did as instructed.

Here is what I did:

1. did the "debuginfo-install".  Had to run it a few times to get all the debuginfo packages in, so that gdb no longer complained.

2. While compiz is running, I ctrl-alt-F2 to a terminal shell, and ran "gdb -p XXXX", where XXXX is the process number of the running compiz.

3. When gdb finishes spewing, I enter "cont" to get compiz running again.

4. I ctrl-alt-F1 to return to gnome, and I run Desktop Effects to disable effects.

5. When "effects" are off, I ctrl-alt-F2, notice that gdb is complaining about segfault, and I enter "thread apply all backtrace".  gdb prints only the following:

(gdb) cont
Continuing.

Program received signal SIGSEGV, Segmentation fault.
shutdown_orb () at corba-orb.c:301
301	{
(gdb) thread apply all backtrace

Thread 1 (Thread 0x7f07f8b7b740 (LWP 10815)):
#0  shutdown_orb () at corba-orb.c:301
#1  0x0000003b4b436960 in __cxa_finalize (d=0x3ea5ee03d8) at cxa_finalize.c:56
#2  0x0000003ea5c12d76 in __do_global_dtors_aux () from /lib64/libglib-2.0.so.0
#3  0x0000000000000000 in ?? ()
(gdb) quit

After quitting gdb, I ctrl-alt-F1 and reenable Desktop Effects.

I can repeat the above process over and over with the same results.

I attach a typescript log (from "script") showing the above.

Is there an easier way to debug compiz than the ctrl-alt-F[12] dance?  Trying to run gdb from gnome seems to freeze the monitor......
Comment 7 Tom London 2009-01-12 10:36:51 EST
Continue to get this segfault when disabling compiz:

Jan 12 07:30:03 tlondon kernel: compiz[3370]: segfault at 39b622ebd0 ip 00000039b622ebd0 sp 00007fff28887308 error 14 in libdrm.so.2.4.0[39b7200000+9000]

Also notice similar segfaults during shutdown:

Jan 11 19:06:03 tlondon kernel: compiz[3137]: segfault at c30 ip 000000000040edfe sp 00007fff14144ea0 error 4 in compiz[400000+3a000]

Jan 11 13:45:53 tlondon kernel: compiz[3415]: segfault at 800000001 ip 000000000040edfe sp 00007fff83134e90 error 4 in compiz (deleted)[400000+3a000]

etc.

Running current rawhide:

compiz-0.7.8-10.fc11.x86_64
libdrm-2.4.3-0.3.fc11.x86_64
kernel-2.6.29-0.28.rc1.fc11.x86_64

I switched laptop from Thinkpad X61 to Thinkpad X200.  Above are from X200.

From #6 above, I would guess double free (or some such) during exit.....

Any additional debugging/tracing useful?
Comment 8 Tom London 2009-01-28 10:03:51 EST
I continue to get these with rawhide compiz packages:

[root@tlondon ~]# grep compiz /var/log/messages
Jan 26 11:24:27 tlondon kernel: compiz[3318] trap stack segment ip:40edfe sp:7fff5deb3c00 error:0
Jan 26 18:09:03 tlondon kernel: compiz[3327]: segfault at 6043 ip 000000000040edfe sp 00007ffff4b46890 error 4 in compiz[400000+3a000]
Jan 27 06:41:23 tlondon kernel: compiz[3246]: segfault at c8 ip 000000000040edfe sp 00007fff491b9f10 error 4 in compiz[400000+3a000]
Jan 27 07:09:20 tlondon kernel: compiz[3487] trap stack segment ip:40edfe sp:7fff9ee87be0 error:0
Jan 27 07:29:25 tlondon kernel: compiz[3335]: segfault at 1 ip 000000000040edfe sp 00007ffff321bf70 error 4 in compiz[400000+3a000]
Jan 27 07:43:21 tlondon kernel: compiz[4342]: segfault at 1 ip 000000000040edfe sp 00007fff03bf5940 error 4 in compiz[400000+3a000]
Jan 27 17:27:34 tlondon yum: Updated: compiz-0.7.8-11.fc11.x86_64
Jan 27 17:29:06 tlondon yum: Updated: compiz-gnome-0.7.8-11.fc11.x86_64
Jan 27 17:34:03 tlondon kernel: compiz[3342]: segfault at 3fb1b ip 000000000040edfe sp 00007fff69149ea0 error 4 in compiz (deleted)[400000+3a000]
Jan 28 06:30:56 tlondon yum: Updated: compiz-0.7.8-12.fc11.x86_64
Jan 28 06:31:42 tlondon yum: Updated: compiz-gnome-0.7.8-12.fc11.x86_64
Jan 28 06:58:29 tlondon kernel: compiz[3234]: segfault at 3900000003 ip 000000000040edfe sp 00007fff5c1e79a0 error 4 in compiz (deleted)[400000+3a000]
[root@tlondon ~]# 

Let me know if additional info/testing is useful.....
Comment 9 Tom London 2009-01-28 10:04:36 EST
BTW, the most common case for this is on logoff or shutdown......
Comment 10 Tom London 2009-01-31 14:26:44 EST
Got a core dump.

After installing as many debuginfo packages and I could, here is the output of "gdb /usr/bin/compiz core.3246":

<<<<SNIP>>>>>
Loaded symbols for /usr/lib64/compiz/libscale.so
Core was generated by `compiz --ignore-desktop-hints glib gconf'.
Program terminated with signal 11, Segmentation fault.
#0  doPoll (timeout=<value optimized out>) at display.c:1366
1366		for (i = core.nWatchFds - 1, w = core.watchFds; w; i--, w = w->next)
(gdb) where
#0  doPoll (timeout=<value optimized out>) at display.c:1366
#1  0x00000000004115bd in eventLoop () at display.c:1812
#2  0x000000000040bcb5 in main (argc=20779091, argv=0x129) at main.c:446
(gdb) print core
$1 = {base = {type = 0, privates = 0x14df1c0, parent = 0x0}, 
  displays = 0x13e4470, tmpRegion = 0x13d4b30, outputRegion = 0x13d4c50, 
  fileWatch = 0x14987d0, lastFileWatchHandle = 4, timeouts = 0x146c6f0, 
  lastTimeout = {tv_sec = 1233425180, tv_usec = 824721}, 
  lastTimeoutHandle = 291, watchFds = 0x1499750, lastWatchFdHandle = 9, 
  watchPollFds = 0x1492ae0, nWatchFds = 7, 
  initPluginForObject = 0x6406b0 <dbusInitPluginForObject>, 
  finiPluginForObject = 0x40c130 <finiCorePluginForObject>, 
  setOptionForPlugin = 0x1039e20 <cubeSetOptionForPlugin>, 
  objectAdd = 0x3ff9090 <decorObjectAdd>, 
  objectRemove = 0x3ff9150 <decorObjectRemove>, 
  fileWatchAdded = 0x40c160 <fileWatchAdded>, 
  fileWatchRemoved = 0x40c170 <fileWatchRemoved>, 
  sessionEvent = 0x429820 <sessionEvent>, logMessage = 0x40b590 <logMessage>}
(gdb) print w
$2 = (CompWatchFd *) 0x4e6f
(gdb) print w->next
Cannot access memory at address 0x4e6f
(gdb) list
1361	    if (rv)
1362	    {
1363		CompWatchFd *w;
1364		int	    i;
1365	
1366		for (i = core.nWatchFds - 1, w = core.watchFds; w; i--, w = w->next)
1367		{
1368		    if (core.watchPollFds[i].revents != 0 && w->callBack)
1369			(*w->callBack) (w->closure);
1370		}
(gdb) 
1371	    }
1372	
1373	    return rv;
1374	}
1375	



What else is helpful?
Comment 11 Tom London 2009-01-31 15:12:10 EST
A bit more:

Program terminated with signal 11, Segmentation fault.
#0  doPoll (timeout=<value optimized out>) at display.c:1366
1366		for (i = core.nWatchFds - 1, w = core.watchFds; w; i--, w = w->next)
(gdb) where
#0  doPoll (timeout=<value optimized out>) at display.c:1366
#1  0x00000000004115bd in eventLoop () at display.c:1812
#2  0x000000000040bcb5 in main (argc=20779091, argv=0x129) at main.c:446
(gdb) print core
$1 = {base = {type = 0, privates = 0x14df1c0, parent = 0x0}, 
  displays = 0x13e4470, tmpRegion = 0x13d4b30, outputRegion = 0x13d4c50, 
  fileWatch = 0x14987d0, lastFileWatchHandle = 4, timeouts = 0x146c6f0, 
  lastTimeout = {tv_sec = 1233425180, tv_usec = 824721}, 
  lastTimeoutHandle = 291, watchFds = 0x1499750, lastWatchFdHandle = 9, 
  watchPollFds = 0x1492ae0, nWatchFds = 7, 
  initPluginForObject = 0x6406b0 <dbusInitPluginForObject>, 
  finiPluginForObject = 0x40c130 <finiCorePluginForObject>, 
  setOptionForPlugin = 0x1039e20 <cubeSetOptionForPlugin>, 
  objectAdd = 0x3ff9090 <decorObjectAdd>, 
  objectRemove = 0x3ff9150 <decorObjectRemove>, 
  fileWatchAdded = 0x40c160 <fileWatchAdded>, 
  fileWatchRemoved = 0x40c170 <fileWatchRemoved>, 
  sessionEvent = 0x429820 <sessionEvent>, logMessage = 0x40b590 <logMessage>}
(gdb) print core.watchFds
$2 = (CompWatchFd *) 0x1499750
(gdb) print *core.watchFds
$3 = {next = 0x1495000, fd = 5, callBack = 0x642c60 <dbusProcessMessages>, 
  closure = 0x0, handle = 8}
(gdb) print core.watchFds->next
$4 = (struct _CompWatchFd *) 0x1495000
(gdb) print *core.watchFds->next
$5 = {next = 0x1498b50, fd = 14, callBack = 0x111140 <glibCollectEvents>, 
  closure = 0x1498b08, handle = 7}
(gdb) print *core.watchFds->next->next
$6 = {next = 0x1498b20, fd = 13, callBack = 0x111140 <glibCollectEvents>, 
  closure = 0x1498af8, handle = 6}
(gdb) print *core.watchFds->next->next->next
$7 = {next = 0x1496dd0, fd = 12, callBack = 0x111140 <glibCollectEvents>, 
  closure = 0x1498ae8, handle = 5}
(gdb) print *core.watchFds->next->next->next->next
$8 = {next = 0x1496470, fd = 10, callBack = 0x111140 <glibCollectEvents>, 
  closure = 0x1498ad8, handle = 4}
(gdb) print *core.watchFds->next->next->next->next->next
$9 = {next = 0x1470590, fd = 6, callBack = 0x111140 <glibCollectEvents>, 
  closure = 0x1498ac8, handle = 3}
(gdb) print *core.watchFds->next->next->next->next->next->next
$10 = {next = 0x0, fd = 4, callBack = 0, closure = 0x0, handle = 2}
(gdb) print w
$11 = (CompWatchFd *) 0x4e6f
(gdb) 

And, this is for 
[tbl@tlondon ~]$ rpm -q compiz
compiz-0.7.8-12.fc11.x86_64
[tbl@tlondon ~]$
Comment 12 Tom London 2009-01-31 15:42:46 EST
Could poll() be returning -1 with errno==EINTR (some such)?

This only seems to happen during shutdown, logoff or disabling effects....
Comment 13 Tom London 2009-02-02 12:48:06 EST
Here's another trace from another dump.  Segfault in the same place....

This time "w" is set to "0x656d756c6f762d65"


Core was generated by `compiz --ignore-desktop-hints glib gconf'.
Program terminated with signal 7, Bus error.
#0  doPoll (timeout=<value optimized out>) at display.c:1366
1366		for (i = core.nWatchFds - 1, w = core.watchFds; w; i--, w = w->next)
Missing separate debuginfos, use: debuginfo-install libX11-1.1.99.2-3.fc11.x86_64
(gdb) where
#0  doPoll (timeout=<value optimized out>) at display.c:1366
#1  0x00000000004115bd in eventLoop () at display.c:1812
#2  0x000000000040bcb5 in main (argc=12759123, argv=0x129) at main.c:446
(gdb) print core
$1 = {base = {type = 0, privates = 0xd25aa0, parent = 0x0}, 
  displays = 0xc3e470, tmpRegion = 0xc2eb30, outputRegion = 0xc2ec50, 
  fileWatch = 0xcf2a80, lastFileWatchHandle = 4, timeouts = 0xe35a10, 
  lastTimeout = {tv_sec = 1233523364, tv_usec = 613480}, 
  lastTimeoutHandle = 1383, watchFds = 0xcf3060, lastWatchFdHandle = 9, 
  watchPollFds = 0xceca90, nWatchFds = 7, 
  initPluginForObject = 0x9f36b0 <dbusInitPluginForObject>, 
  finiPluginForObject = 0x40c130 <finiCorePluginForObject>, 
  setOptionForPlugin = 0x7fba0a6bbe20 <cubeSetOptionForPlugin>, 
  objectAdd = 0x7fba0b2d9090 <decorObjectAdd>, 
  objectRemove = 0x7fba0b2d9150 <decorObjectRemove>, 
  fileWatchAdded = 0x40c160 <fileWatchAdded>, 
  fileWatchRemoved = 0x40c170 <fileWatchRemoved>, 
  sessionEvent = 0x429820 <sessionEvent>, logMessage = 0x40b590 <logMessage>}
(gdb) print w
$2 = (CompWatchFd *) 0x656d756c6f762d65
(gdb) print *core->watchFds
$3 = {next = 0xcf2db0, fd = 5, callBack = 0x9f5c60 <dbusProcessMessages>, 
  closure = 0x0, handle = 8}
(gdb) print *core->watchFds->next
$4 = {next = 0xcf2e10, fd = 14, callBack = 0x111140 <glibCollectEvents>, 
  closure = 0xcf2d98, handle = 7}
(gdb) print *core->watchFds->next->next
$5 = {next = 0xcf2de0, fd = 13, callBack = 0x111140 <glibCollectEvents>, 
  closure = 0xcf2d88, handle = 6}
(gdb) print *core->watchFds->next->next->next
$6 = {next = 0xcef2b0, fd = 12, callBack = 0x111140 <glibCollectEvents>, 
  closure = 0xcf2d78, handle = 5}
(gdb) print *core->watchFds->next->next->next->next
$7 = {next = 0xcf05f0, fd = 10, callBack = 0x111140 <glibCollectEvents>, 
  closure = 0xcf2d68, handle = 4}
(gdb) print *core->watchFds->next->next->next->next->next
$8 = {next = 0xcca590, fd = 6, callBack = 0x111140 <glibCollectEvents>, 
  closure = 0xcf2d58, handle = 3}
(gdb) print *core->watchFds->next->next->next->next->next->next
$9 = {next = 0x0, fd = 4, callBack = 0, closure = 0x0, handle = 2}
(gdb) print w
$10 = (CompWatchFd *) 0x656d756c6f762d65
(gdb) print i
No symbol "i" in current context.
(gdb) print rv
$11 = <value optimized out>
(gdb)
Comment 14 Tom London 2009-02-04 10:53:59 EST
Here's another (and different one) from the above:

Loaded symbols for /lib64/libglib-2.0.so.0.1906.0
Core was generated by `compiz --ignore-desktop-hints glib gconf'.
Program terminated with signal 11, Segmentation fault.
#0  0x00000037be62ebd0 in ?? ()
(gdb) where
#0  0x00000037be62ebd0 in ?? ()
#1  0x00000039aba369b0 in __cxa_finalize (d=0xeb8918) at cxa_finalize.c:56
#2  0x0000000000beadf6 in __do_global_dtors_aux ()
   from /lib64/libglib-2.0.so.0.1906.0
#3  0x0000000000000000 in ?? ()
(gdb) 

This one was generated by disbling Desktop effects.  I believe the others come from logging off or shutting down.
Comment 15 Tom London 2009-02-26 16:47:46 EST
Same behavior (segfaulting on logging out or disabling compiz) continues with 

mesa-libGL-devel-7.3-5.fc11.x86_64
libdrm-2.4.5-0.fc11.x86_64
mesa-libGLU-7.3-5.fc11.x86_64
mesa-libGLU-devel-7.3-5.fc11.x86_64
compiz-0.7.8-12.fc11.x86_64
mesa-dri-drivers-7.3-5.fc11.x86_64
mesa-debuginfo-7.3-5.fc11.x86_64
mesa-libGL-7.3-5.fc11.x86_64


Same kind of core dumps......
Comment 16 Tom London 2009-03-13 09:50:55 EDT
Pretty much get SEGFAULT/GPF on every logoff/shutdown or "turning off" of compiz:

[root@tlondon ~]# grep compiz /var/log/messages
Mar  9 07:59:54 tlondon kernel: compiz[3264]: segfault at 79 ip 000000000040ed8e sp 00007fff34f0ec30 error 4 in compiz[400000+3a000]
Mar  9 17:39:11 tlondon kernel: compiz[3341]: segfault at f0 ip 000000000040ed8e sp 00007fff9f7ae4d0 error 4 in compiz[400000+3a000]
Mar  9 18:20:44 tlondon kernel: compiz[3257]: segfault at 73747570 ip 000000000040ed8e sp 00007fff5ca23750 error 4 in compiz[400000+3a000]
Mar  9 18:20:44 tlondon kernel: compiz used greatest stack depth: 2776 bytes left
Mar 10 18:41:09 tlondon kernel: compiz[3353]: segfault at 726f7461 ip 000000000040ed8e sp 00007fff2236d060 error 4 in compiz[400000+3a000]
Mar 11 07:49:53 tlondon kernel: compiz[7582]: segfault at 657a ip 000000000040ed8e sp 00007fff4ad30a20 error 4 in compiz (deleted)[400000+3a000]
Mar 11 15:11:02 tlondon kernel: compiz[3321]: segfault at 380 ip 000000000040ed8e sp 00007fff85921610 error 4 in compiz[400000+3a000]
Mar 12 06:26:11 tlondon kernel: compiz[3170]: segfault at 30 ip 000000000040ed7f sp 00007fff23b48840 error 4 in compiz[400000+3a000]
Mar 12 11:40:46 tlondon kernel: compiz[3332] general protection ip:40ed8e sp:7fff95844530 error:0 in compiz[400000+3a000]
Mar 12 15:17:15 tlondon kernel: compiz[6156]: segfault at 786f62 ip 000000000040ed8e sp 00007fffbf558250 error 4 in compiz[400000+3a000]
Mar 12 16:52:48 tlondon kernel: compiz[12766] general protection ip:40ed8e sp:7fff09a81770 error:0 in compiz[400000+3a000]
Mar 13 06:35:39 tlondon kernel: compiz[3205] general protection ip:40ed8e sp:7fff0d13ae30 error:0 in compiz[400000+3a000]
[root@tlondon ~]# 

Currently running:

compiz-gnome-0.7.8-14.fc11.x86_64
mesa-libGL-7.3-12.fc11.x86_64
compiz-fusion-extras-gnome-0.7.8-6.fc11.x86_64
libdrm-debuginfo-2.4.5-0.fc11.x86_64
libdrm-devel-2.4.5-0.fc11.x86_64
compizconfig-python-0.7.8-3.fc11.x86_64
compiz-debuginfo-0.7.8-12.fc11.x86_64
libdrm-2.4.5-0.fc11.x86_64
compiz-fusion-extras-0.7.8-6.fc11.x86_64
mesa-dri-drivers-7.3-12.fc11.x86_64
mesa-libGLU-devel-7.3-12.fc11.x86_64
compiz-fusion-gnome-0.7.8-6.fc11.x86_64
mesa-libGLU-7.3-12.fc11.x86_64
mesa-libGL-devel-7.3-12.fc11.x86_64
compiz-fusion-0.7.8-6.fc11.x86_64
mesa-debuginfo-7.3-5.fc11.x86_64
compiz-0.7.8-14.fc11.x86_64

I'll post some fresh stack backtraces....
Comment 17 Tom London 2009-03-13 18:58:07 EDT
Here is a stacktrace:

Loaded symbols for /usr/lib64/compiz/libscale.so
Core was generated by `compiz --ignore-desktop-hints glib gconf'.
Program terminated with signal 11, Segmentation fault.
#0  0x0000000000000001 in ?? ()
(gdb) where
#0  0x0000000000000001 in ?? ()
#1  0x0000003896e086ca in _IceTransClose (ciptr=0x166ea40)
    at /usr/include/X11/Xtrans/Xtrans.c:930
#2  0x0000003896e13490 in _IceFreeConnection (iceConn=0x166b010)
    at shutdown.c:290
#3  0x0000003896e13625 in IceCloseConnection (iceConn=0x166b010)
    at shutdown.c:245
#4  0x0000003897202517 in SmcCloseConnection (smcConn=<value optimized out>, 
    count=0, reasonMsgs=0x0) at sm_client.c:320
#5  0x00000000004294bd in closeSession () at session.c:271
#6  0x000000000040bd59 in main (argc=-747801184, argv=0x7fffd36d7590)
    at main.c:449
(gdb) 

and another (that looks similar to ones posted above):

Loaded symbols for /usr/lib64/compiz/libscale.so
Core was generated by `compiz --ignore-desktop-hints glib gconf'.
Program terminated with signal 11, Segmentation fault.
#0  doPoll (timeout=<value optimized out>) at display.c:1366
1366		for (i = core.nWatchFds - 1, w = core.watchFds; w; i--, w = w->next)
(gdb) where
#0  doPoll (timeout=<value optimized out>) at display.c:1366
#1  0x0000000000411517 in eventLoop () at display.c:1812
#2  0x000000000040bc4b in main (argc=219394048, argv=0x7fff0d13aff0)
    at main.c:446
(gdb) list
1361	    if (rv)
1362	    {
1363		CompWatchFd *w;
1364		int	    i;
1365	
1366		for (i = core.nWatchFds - 1, w = core.watchFds; w; i--, w = w->next)
1367		{
1368		    if (core.watchPollFds[i].revents != 0 && w->callBack)
1369			(*w->callBack) (w->closure);
1370		}
(gdb) print w
$1 = (CompWatchFd *) 0x180000039e0324
(gdb) print core.watchFds
$2 = (CompWatchFd *) 0x1bf14a0
(gdb) print core.watchFds->next
$3 = (struct _CompWatchFd *) 0x1bfc010
(gdb) print core.watchFds->next->next
$4 = (struct _CompWatchFd *) 0x1bfd9d0
(gdb) print core.watchFds->next->next->next
$5 = (struct _CompWatchFd *) 0x1bfcce0
(gdb) print core.watchFds->next->next->next->next
$6 = (struct _CompWatchFd *) 0x1bff7d0
(gdb) print core.watchFds->next->next->next->next->next
$7 = (struct _CompWatchFd *) 0x1bd5190
(gdb) print core.watchFds->next->next->next->next->next->next
$8 = (struct _CompWatchFd *) 0x0
(gdb) 


Any of this helpful?
Comment 18 Tom London 2009-03-13 19:12:07 EDT
Scanning the build log for x86_64 compiz package, I see many warnings similar to:

plugin.c:64: warning: cast to pointer from integer of different size
decoration.c:1686: warning: cast to pointer from integer of different size
wobbly.c:2895: warning: cast to pointer from integer of different size
fade.c:952: warning: cast to pointer from integer of different size
minimize.c:974: warning: cast to pointer from integer of different size
cube.c:2177: warning: cast to pointer from integer of different size
rotate.c:1946: warning: cast to pointer from integer of different size
zoom.c:1131: warning: cast to pointer from integer of different size
scale.c:2172: warning: cast to pointer from integer of different size
move.c:974: warning: cast to pointer from integer of different size
resize.c:1425: warning: cast to pointer from integer of different size
place.c:1588: warning: cast to pointer from integer of different size
switcher.c:2045: warning: cast to pointer from integer of different size
water.c:1754: warning: cast to pointer from integer of different size
screenshot.c:557: warning: cast to pointer from integer of different size
clone.c:867: warning: cast to pointer from integer of different size
blur.c:3179: warning: cast to pointer from integer of different size
video.c:1259: warning: cast to pointer from integer of different size
obs.c:423: warning: cast to pointer from integer of different size
annotate.c:893: warning: cast to pointer from integer of different size
svg.c:979: warning: cast to pointer from integer of different size
fuse.c:1394: warning: cast to pointer from integer of different size


and/or

desktop-effects.c:292: warning: implicit declaration of function 'g_unlink'
desktop-effects.c:390: warning: pointer targets in passing argument 1 of 'g_utf8_validate' differ in signedness
desktop-effects.c:396: warning: pointer targets in passing argument 1 of 'g_strndup' differ in signedness
desktop-effects.c:731: warning: implicit declaration of function 'XCompositeQueryExtension'

Experience with "gimp": https://bugzilla.redhat.com/show_bug.cgi?id=486122 shows 32/64 bit "clobbering" and resulting segfaults.

If I remember correctly, had to do with a mis-specification of "DEPRECATED" in glib/gobject headers.

Could this be similar?
Comment 19 Tom London 2009-03-14 20:24:04 EDT
OK, I downloaded/installed the .src.rpm for compiz, and "hacked" patches to eliminate the pointer/size confusions, and the implicit declarations.

Running "rpmbuild -bb compiz.spec >err 2>&1" and then "grep warning err | grep -v libtool" now produces only:

[tbl@tlondon SPECS]$ grep warning err | grep -v libtool
/usr/include/gtk-2.0/gtk/gtkitemfactory.h:47: warning: function declaration isn't a prototype
/home/tbl/rpmbuild/SOURCES/glx_tfp_test.c:14: warning: unused variable 'attrib'
/home/tbl/rpmbuild/SOURCES/glx_tfp_test.c:12: warning: unused variable 'visinfo'
desktop-effects.c:392: warning: pointer targets in passing argument 1 of 'g_utf8_validate' differ in signedness
desktop-effects.c:398: warning: pointer targets in passing argument 1 of 'g_strndup' differ in signedness
desktop-effects.c:757: warning: unused variable 'result'
[tbl@tlondon SPECS]$ 

Believe the "signedness" warnings shouldn't cause an problem.

Here is what I "hacked":

1.  There are a host of calls to "RETURN_DISPATCH" with a 4th argument of "(void *)(*count = 0)".  Gcc seems not to like this on x86_64; it appears that gcc interprets "0" and "*int_ptr=0" differently as a target of the pointer cast, and producing a warning of "warning: cast to pointer from integer of different size".

I used a sledgehammer on this by replacing it with "(void *) (*count = 0, (void *)0)".  (Yeah, its ugly; I know.).  Replaced 22 of these.  Typical change:

     };

     RETURN_DISPATCH (object, dispTab, ARRAY_SIZE (dispTab),
-                    (void *) (*count = 0), (plugin, object, count));
+                    (void *) (*count = 0, (void *)0), (plugin, object, count));
 }


2. There seem to be 2 missing headers from desktop-effects.c to handle the declaration of g_unlink() and XCompositeQueryExtension().  I added these:

diff -u desktop-effects.c.orig desktop-effects.c
--- desktop-effects.c.orig	2009-03-14 16:28:29.000000000 -0700
+++ desktop-effects.c	2009-03-14 16:31:11.000000000 -0700
@@ -30,6 +30,8 @@
 #include <X11/Xatom.h>
 #include <gdk/gdkx.h>
 #include <glib/gi18n.h>
+#include <glib/gstdio.h>
+#include <X11/extensions/Xcomposite.h>

With these changes (patches attached), compiz/desktop-effects/etc. compile with only the above warnings.

Not sure I actually fixed anything, but the first few times I logged off/shutdown did not produce a segfault/core image.  I'll monitor and stress.

The remaining "/usr/include/gtk-2.0/gtk/gtkitemfactory.h:47: warning: function declaration isn't a prototype" is a bit concerning.  Again, not sure its relevant.

For no good reason, the patches are broken into 2 files, the first 2 handling the changes to "RETURN_DISPATCH", the third adding the includes to desktop-effects.c.
Comment 20 Tom London 2009-03-14 20:25:08 EDT
Created attachment 335235 [details]
First compiz patch file

Changing target of "(void *)" cast to an explicit 0.
Comment 21 Tom London 2009-03-14 20:26:06 EDT
Created attachment 335236 [details]
Second compiz patch file

Changing more targets of "(void *)" casts.
Comment 22 Tom London 2009-03-14 20:28:00 EDT
Created attachment 335237 [details]
Patch to desktop-effects to add missing header files

This adds the include of "glib/gstdio.h" and "X11/extensions/Xcomposite.h" to remove "implicit declaration" warnings for "g_unlink()" and "XCompositeQueryExtension()".
Comment 23 Tom London 2009-03-15 12:49:18 EDT
Sigh.... although the above patches seem like "good hygiene", compiz still crashes at shutdown:

Core was generated by `compiz --ignore-desktop-hints glib gconf'.
Program terminated with signal 11, Segmentation fault.
#0  0x0000000000000001 in ?? ()
(gdb) 
(gdb) where
#0  0x0000000000000001 in ?? ()
#1  0x0000003896e086ca in _IceTransClose (ciptr=0xf75a40)
    at /usr/include/X11/Xtrans/Xtrans.c:930
#2  0x0000003896e13490 in _IceFreeConnection (iceConn=0xf72010)
    at shutdown.c:290
#3  0x0000003896e13625 in IceCloseConnection (iceConn=0xf72010)
    at shutdown.c:245
#4  0x0000003897202517 in SmcCloseConnection (smcConn=<value optimized out>, 
    count=0, reasonMsgs=0x0) at sm_client.c:320
#5  0x00000000004295bd in closeSession () at session.c:271
#6  0x000000000040bd59 in main (argc=2, argv=0x7fff563c1d00) at main.c:449
(gdb)
Comment 24 Eddie Lania 2009-04-12 15:46:40 EDT
Apr 12 14:25:19 f11-test kernel: compiz[3137]: segfault at 5f5e50 ip 005f5e50 sp bfc8940c error 4 in libuuid.so.1.2[610000+3000]
[root@f11-test ~]# grep -i segfault /var/log/messages
messages           messages-20090412  
[root@f11-test ~]# grep -i segfault /var/log/messages-20090412 
Apr  7 22:52:15 f11-test kernel: compiz[3589]: segfault at c16860 ip 00c16860 sp bffe4810 error 4 in ld-2.9.90.so[ca8000+20000]
Apr  9 17:39:24 f11-test kernel: compiz[3167]: segfault at 54fe50 ip 0054fe50 sp bf9efbbc error 4 in libSM.so.6.0.0[5a7000+7000]
Apr  9 22:09:32 f11-test kernel: compiz[4463]: segfault at 5e0e50 ip 005e0e50 sp bfbae11c error 4
Apr  9 22:46:35 f11-test kernel: compiz[3187]: segfault at 54fe50 ip 0054fe50 sp bfce9e4c error 4 in libnss_files-2.9.90.so[58c000+a000]
Apr 10 09:18:15 f11-test kernel: compiz[4260]: segfault at 52ee50 ip 0052ee50 sp bfbaa6ec error 4 in libdecoration.so[551000+5000]
Apr 11 20:43:41 f11-test kernel: compiz[3174]: segfault at 5f5e50 ip 005f5e50 sp bfbd4d3c error 4 in libuuid.so.1.2[610000+3000]
Apr 11 20:49:09 f11-test kernel: compiz[3482]: segfault at 60d020 ip 0088b00e sp bfbb53c0 error 4 in libglib-2.0.so.0.2000.1[853000+de000]
Apr 11 20:50:46 f11-test kernel: compiz[3495]: segfault at 60d020 ip 0040100e sp bfb74100 error 4 in libglib-2.0.so.0.2000.1[3c9000+de000]
Apr 11 20:52:00 f11-test kernel: compiz[3505]: segfault at 5f5e50 ip 005f5e50 sp bf93c29c error 4 in libuuid.so.1.2[610000+3000]
Apr 11 20:52:20 f11-test kernel: compiz[3511]: segfault at 5f5e50 ip 005f5e50 sp bff2a87c error 4 in libuuid.so.1.2[610000+3000]
Apr 11 20:59:59 f11-test kernel: compiz[3131]: segfault at 520e50 ip 00520e50 sp bfafe6fc error 4 in libpangocairo-1.0.so.0.2400.0[57b000+a000]
Apr 11 21:04:28 f11-test kernel: compiz[3314]: segfault at 5f5e50 ip 005f5e50 sp bfa0236c error 4 in libuuid.so.1.2[610000+3000]
Apr 12 09:46:36 f11-test kernel: compiz[3165]: segfault at 5f5e50 ip 005f5e50 sp bfeab77c error 4 in libuuid.so.1.2[610000+3000]
Comment 25 Eddie Lania 2009-04-12 15:52:13 EDT
B.t.w. it doesn't seem to happen when I close all open windows before switching.
Comment 26 Eddie Lania 2009-04-13 06:34:19 EDT
Ignore my previous comment #25 please.

It happens always here.
Comment 27 Eddie Lania 2009-05-01 02:45:43 EDT
Still getting segfaults when trying to enable compiz. No matter if I use "desktop-effects" or "fusion-icon".

Apr 29 20:20:22 p3000fedora kernel: Xorg[2153]: segfault at 0 ip 0812e646 sp bffbc198 error 4 in Xorg (deleted)[8047000+1ba000]
Apr 29 20:21:18 p3000fedora kernel: Xorg[23259]: segfault at 0 ip 0812e646 sp bfab4c98 error 4 in Xorg[8047000+1ba000]
Apr 29 20:28:43 p3000fedora kernel: Xorg[24694]: segfault at 0 ip 0812e646 sp bfc86678 error 4 in Xorg[8047000+1ba000]
Apr 29 20:29:14 p3000fedora kernel: Xorg[25340]: segfault at 0 ip 0812e646 sp bfab0c98 error 4 in Xorg[8047000+1ba000]
Apr 29 20:57:12 p3000fedora kernel: Xorg[2035]: segfault at 0 ip 0812e646 sp bfe2f008 error 4 in Xorg[8047000+1ba000]
Apr 30 10:20:04 p3000fedora kernel: Xorg[2030]: segfault at 0 ip 0812e646 sp bfc4ce68 error 4 in Xorg[8047000+1ba000]
Apr 30 10:46:35 p3000fedora kernel: sealert[3673]: segfault at 3a2df6d2 ip 0732eca2 sp bff59490 error 4 in libpython2.6.so.1.0[72ae000+14f000]
Apr 30 22:31:26 p3000fedora kernel: Xorg[2048]: segfault at 0 ip 0812e646 sp bff88968 error 4 in Xorg[8047000+1ba000]
Apr 30 22:32:00 p3000fedora kernel: Xorg[3655]: segfault at 0 ip 0812e646 sp bfa4f438 error 4 in Xorg[8047000+1ba000]
Apr 30 22:32:31 p3000fedora kernel: Xorg[4296]: segfault at 0 ip 0812e646 sp bf86ca58 error 4 in Xorg[8047000+1ba000]
Comment 28 Eddie Lania 2009-05-04 14:03:19 EDT
Question: according to the policy, current development for f11 has been frozen.
Does this mean this will not be solved before the final f11 release?
Comment 29 Eddie Lania 2009-05-16 09:42:25 EDT
I have had no problems anymore, switching compiz on- and off seems to be solved.


Just updated to xorg-x11-drv-ati-6.12.2-14.fc11.i586

mesa-libGLw-6.5.1-7.fc11.i586
mesa-libOSMesa-7.5-0.14.fc11.i586
mesa-dri-drivers-7.5-0.14.fc11.i586
mesa-libGLU-devel-7.5-0.14.fc11.i586
mesa-libGL-devel-7.5-0.14.fc11.i586
mesa-libGL-7.5-0.14.fc11.i586
mesa-libOSMesa-devel-7.5-0.14.fc11.i586
mesa-libGLU-7.5-0.14.fc11.i586

But I still get this error in the syslog:

[drm:radeon_gem_do_relocate] *ERROR* radeon gem set domain -11 failed 0 4

I this a kernel bug? Do I have to open a new bug for it?
Comment 30 Tom London 2009-05-16 12:09:11 EDT
Last compiz segfault I notice is:

/var/log/messages-20090426:Apr 20 14:08:37 tlondon kernel: compiz[3875]: segfault at 38b062ea80 ip 00000038b062ea80 sp 00007fff2028fc88 error 14 in libICE.so.6.3.0[38b1a00000+17000]
Comment 31 Bug Zapper 2009-06-09 06:09:39 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 32 Erkin Bahceci 2009-08-15 14:24:11 EDT
Could someone who could reproduce the problem (crash at logout, shutdown, or when disabling compiz) check if it persists after this patch is applied?

http://cgit.compiz.org/compiz/core/commit/?id=5a02cba1b77cf11e4b6c75e778ba609a94fa9a73
Comment 33 Erkin Bahceci 2009-08-16 01:19:31 EDT
The latest versions of plugins-main and plugins-extra (which have similar fixes) could also help, as well as this compiz commit:

http://cgit.compiz-fusion.org/compiz/core/commit/?h=compiz-0.8&id=aa65a16d3a0b3e40ab5bc717e5a804991b44793a
Comment 37 Matěj Cepl 2009-11-05 13:20:55 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 38 Tom London 2009-11-05 14:17:59 EST
From my perspective, this is fixed.

I'll close this as fixed in Rawhide.

Other posters can reopen if problems remain.
Comment 39 A Oepping 2009-11-18 11:39:25 EST
UUID: b8dbd7098d64cfb3aa42754402e25120eb99ce2e
architecture: x86_64
cmdline: compiz --ignore-desktop-hints glib gconf gnomecompat --replace
component: compiz
coredump: /var/cache/abrt/ccpp-1258560659-16570/coredump
executable: /usr/bin/compiz
kernel: 2.6.31.5-127.fc12.x86_64
package: compiz-0.8.2-19.fc12
rating: 1
reason: Process was terminated by signal 11
release: Fedora release 12 (Constantine)

Comment
-----
Is this bug #475047?

Tried to enable compiz it said it failed to start, then it said reverting to previous settings. Then it said failed to restore old settings, giving up.
Error at Nov 18 09:10:59 Some of the earlier errors may be cause by me getting the xorg.conf to work right.

Xorg log:

Nov 18 09:06:19 treebeard gdm-binary[15353]: WARNING: GdmDisplay: display lasted 0.023338 seconds
Nov 18 09:06:19 treebeard gdm-binary[15353]: WARNING: GdmDisplay: display lasted 0.020529 seconds
Nov 18 09:06:19 treebeard gdm-binary[15353]: WARNING: GdmDisplay: display lasted 0.013622 seconds
Nov 18 09:06:19 treebeard gdm-binary[15353]: WARNING: GdmDisplay: display lasted 0.012932 seconds
Nov 18 09:06:19 treebeard gdm-binary[15353]: WARNING: GdmDisplay: display lasted 0.013698 seconds
Nov 18 09:06:19 treebeard gdm-binary[15353]: WARNING: GdmDisplay: display lasted 0.013657 seconds
Nov 18 09:06:19 treebeard gdm-binary[15353]: WARNING: GdmLocalDisplayFactory: maximum number of X display failures reached: check X server log for errors
Nov 18 09:06:19 treebeard init: prefdm main process (15353) terminated with status 1
Nov 18 09:06:19 treebeard init: prefdm main process ended, respawning
Nov 18 09:06:19 treebeard gdm-binary[15385]: WARNING: GdmDisplay: display lasted 0.013301 seconds
Nov 18 09:06:19 treebeard gdm-binary[15385]: WARNING: GdmDisplay: display lasted 0.012871 seconds
Nov 18 09:06:19 treebeard gdm-binary[15385]: WARNING: GdmDisplay: display lasted 0.012881 seconds
Nov 18 09:06:19 treebeard gdm-binary[15385]: WARNING: GdmDisplay: display lasted 0.012248 seconds
Nov 18 09:06:19 treebeard gdm-binary[15385]: WARNING: GdmDisplay: display lasted 0.013971 seconds
Nov 18 09:06:19 treebeard gdm-binary[15385]: WARNING: GdmDisplay: display lasted 0.013556 seconds
Nov 18 09:06:19 treebeard gdm-binary[15385]: WARNING: GdmLocalDisplayFactory: maximum number of X display failures reached: check X server log for errors
Nov 18 09:06:19 treebeard init: prefdm main process (15385) terminated with status 1
Nov 18 09:06:19 treebeard init: prefdm main process ended, respawning
Nov 18 09:06:19 treebeard gdm-binary[15417]: WARNING: GdmDisplay: display lasted 0.014245 seconds
Nov 18 09:06:19 treebeard gdm-binary[15417]: WARNING: GdmDisplay: display lasted 0.011918 seconds
Nov 18 09:06:19 treebeard gdm-binary[15417]: WARNING: GdmDisplay: display lasted 0.012269 seconds
Nov 18 09:06:19 treebeard gdm-binary[15417]: WARNING: GdmDisplay: display lasted 0.013684 seconds
Nov 18 09:06:19 treebeard gdm-binary[15417]: WARNING: GdmDisplay: display lasted 0.011882 seconds
Nov 18 09:06:19 treebeard gdm-binary[15417]: WARNING: GdmDisplay: display lasted 0.010507 seconds
Nov 18 09:06:19 treebeard gdm-binary[15417]: WARNING: GdmLocalDisplayFactory: maximum number of X display failures reached: check X server log for errors
Nov 18 09:06:19 treebeard init: prefdm main process (15417) terminated with status 1
Nov 18 09:06:19 treebeard init: prefdm main process ended, respawning
Nov 18 09:06:19 treebeard gdm-binary[15449]: WARNING: GdmDisplay: display lasted 0.012686 seconds
Nov 18 09:06:19 treebeard gdm-binary[15449]: WARNING: GdmDisplay: display lasted 0.012335 seconds
Nov 18 09:06:19 treebeard gdm-binary[15449]: WARNING: GdmDisplay: display lasted 0.013544 seconds
Nov 18 09:06:19 treebeard gdm-binary[15449]: WARNING: GdmDisplay: display lasted 0.013649 seconds
Nov 18 09:06:19 treebeard gdm-binary[15449]: WARNING: GdmDisplay: display lasted 0.014005 seconds
Nov 18 09:06:20 treebeard gdm-binary[15449]: WARNING: GdmDisplay: display lasted 0.015058 seconds
Nov 18 09:06:20 treebeard gdm-binary[15449]: WARNING: GdmLocalDisplayFactory: maximum number of X display failures reached: check X server log for errors
Nov 18 09:06:20 treebeard init: prefdm main process (15449) terminated with status 1
Nov 18 09:06:20 treebeard init: prefdm main process ended, respawning
Nov 18 09:06:20 treebeard gdm-binary[15481]: WARNING: GdmDisplay: display lasted 0.013091 seconds
Nov 18 09:06:20 treebeard gdm-binary[15481]: WARNING: GdmDisplay: display lasted 0.013778 seconds
Nov 18 09:06:20 treebeard gdm-binary[15481]: WARNING: GdmDisplay: display lasted 0.013879 seconds
Nov 18 09:06:20 treebeard gdm-binary[15481]: WARNING: GdmDisplay: display lasted 0.013951 seconds
Nov 18 09:06:20 treebeard gdm-binary[15481]: WARNING: GdmDisplay: display lasted 0.013231 seconds
Nov 18 09:06:20 treebeard gdm-binary[15481]: WARNING: GdmDisplay: display lasted 0.013104 seconds
Nov 18 09:06:20 treebeard gdm-binary[15481]: WARNING: GdmLocalDisplayFactory: maximum number of X display failures reached: check X server log for errors
Nov 18 09:06:20 treebeard init: prefdm main process (15481) terminated with status 1
Nov 18 09:06:20 treebeard init: prefdm main process ended, respawning
Nov 18 09:06:20 treebeard gdm-binary[15513]: WARNING: GdmDisplay: display lasted 0.013991 seconds
Nov 18 09:06:20 treebeard gdm-binary[15513]: WARNING: GdmDisplay: display lasted 0.014098 seconds
Nov 18 09:06:20 treebeard gdm-binary[15513]: WARNING: GdmDisplay: display lasted 0.013851 seconds
Nov 18 09:06:20 treebeard gdm-binary[15513]: WARNING: GdmDisplay: display lasted 0.013862 seconds
Nov 18 09:06:20 treebeard gdm-binary[15513]: WARNING: GdmDisplay: display lasted 0.013247 seconds
Nov 18 09:06:20 treebeard gdm-binary[15513]: WARNING: GdmDisplay: display lasted 0.013683 seconds
Nov 18 09:06:20 treebeard gdm-binary[15513]: WARNING: GdmLocalDisplayFactory: maximum number of X display failures reached: check X server log for errors
Nov 18 09:06:20 treebeard init: prefdm main process (15513) terminated with status 1
Nov 18 09:06:20 treebeard init: prefdm main process ended, respawning
Nov 18 09:06:20 treebeard gdm-binary[15545]: WARNING: GdmDisplay: display lasted 0.013482 seconds
Nov 18 09:06:20 treebeard gdm-binary[15545]: WARNING: GdmDisplay: display lasted 0.013231 seconds
Nov 18 09:06:20 treebeard gdm-binary[15545]: WARNING: GdmDisplay: display lasted 0.012622 seconds
Nov 18 09:06:20 treebeard gdm-binary[15545]: WARNING: GdmDisplay: display lasted 0.013965 seconds
Nov 18 09:06:20 treebeard gdm-binary[15545]: WARNING: GdmDisplay: display lasted 0.013120 seconds
Nov 18 09:06:20 treebeard gdm-binary[15545]: WARNING: GdmDisplay: display lasted 0.013008 seconds
Nov 18 09:06:20 treebeard gdm-binary[15545]: WARNING: GdmLocalDisplayFactory: maximum number of X display failures reached: check X server log for errors
Nov 18 09:06:20 treebeard init: prefdm main process (15545) terminated with status 1
Nov 18 09:06:20 treebeard init: prefdm main process ended, respawning
Nov 18 09:06:20 treebeard gdm-binary[15577]: WARNING: GdmDisplay: display lasted 0.012681 seconds
Nov 18 09:06:20 treebeard gdm-binary[15577]: WARNING: GdmDisplay: display lasted 0.014183 seconds
Nov 18 09:06:20 treebeard gdm-binary[15577]: WARNING: GdmDisplay: display lasted 0.013426 seconds
Nov 18 09:06:20 treebeard gdm-binary[15577]: WARNING: GdmDisplay: display lasted 0.013066 seconds
Nov 18 09:06:20 treebeard gdm-binary[15577]: WARNING: GdmDisplay: display lasted 0.011986 seconds
Nov 18 09:06:20 treebeard gdm-binary[15577]: WARNING: GdmDisplay: display lasted 0.013405 seconds
Nov 18 09:06:20 treebeard gdm-binary[15577]: WARNING: GdmLocalDisplayFactory: maximum number of X display failures reached: check X server log for errors
Nov 18 09:06:20 treebeard init: prefdm main process (15577) terminated with status 1
Nov 18 09:06:20 treebeard init: prefdm main process ended, respawning
Nov 18 09:06:20 treebeard gdm-binary[15609]: WARNING: GdmDisplay: display lasted 0.013691 seconds
Nov 18 09:06:20 treebeard gdm-binary[15609]: WARNING: GdmDisplay: display lasted 0.014422 seconds
Nov 18 09:06:20 treebeard gdm-binary[15609]: WARNING: GdmDisplay: display lasted 0.013146 seconds
Nov 18 09:06:20 treebeard gdm-binary[15609]: WARNING: GdmDisplay: display lasted 0.012104 seconds
Nov 18 09:06:20 treebeard gdm-binary[15609]: WARNING: GdmDisplay: display lasted 0.012148 seconds
Nov 18 09:06:20 treebeard gdm-binary[15609]: WARNING: GdmDisplay: display lasted 0.013371 seconds
Nov 18 09:06:20 treebeard gdm-binary[15609]: WARNING: GdmLocalDisplayFactory: maximum number of X display failures reached: check X server log for errors
Nov 18 09:06:20 treebeard init: prefdm main process (15609) terminated with status 1
Nov 18 09:06:20 treebeard init: prefdm main process ended, respawning
Nov 18 09:06:20 treebeard gdm-binary[15641]: WARNING: GdmDisplay: display lasted 0.013727 seconds
Nov 18 09:06:20 treebeard gdm-binary[15641]: WARNING: GdmDisplay: display lasted 0.013972 seconds
Nov 18 09:06:20 treebeard gdm-binary[15641]: WARNING: GdmDisplay: display lasted 0.013691 seconds
Nov 18 09:06:20 treebeard gdm-binary[15641]: WARNING: GdmDisplay: display lasted 0.013336 seconds
Nov 18 09:06:20 treebeard gdm-binary[15641]: WARNING: GdmDisplay: display lasted 0.012665 seconds
Nov 18 09:06:20 treebeard gdm-binary[15641]: WARNING: GdmDisplay: display lasted 0.014278 seconds
Nov 18 09:06:20 treebeard gdm-binary[15641]: WARNING: GdmLocalDisplayFactory: maximum number of X display failures reached: check X server log for errors
Nov 18 09:06:20 treebeard init: prefdm main process (15641) terminated with status 1
Nov 18 09:06:20 treebeard init: prefdm main process ended, respawning
Nov 18 09:06:20 treebeard init: prefdm respawning too fast, stopped
Nov 18 09:07:15 treebeard abrtd: Hmm, stray update_client: 'Creating kernel oops crash reports...'
Nov 18 09:07:15 treebeard abrt: Kerneloops: Reported 1 kernel oopses to Abrt
Nov 18 09:07:15 treebeard abrtd: Directory 'kerneloops-1258560435-1' creation detected
Nov 18 09:07:15 treebeard abrtd: Getting local universal unique identification
Nov 18 09:07:15 treebeard abrtd: New crash, saving...
Nov 18 09:08:00 treebeard init: prefdm respawning too fast, stopped
Nov 18 09:08:53 treebeard acpid: client 7870[0:0] has disconnected
Nov 18 09:08:53 treebeard acpid: client connected from 16123[0:0]
Nov 18 09:08:53 treebeard acpid: 1 client rule loaded
Nov 18 09:08:55 treebeard pulseaudio[16169]: core-util.c: Failed to create lock file '/var/lib/gdm/.pulse/e81e991d5fe03f26fc005b8e4b02a88b-runtime/autospawn.lock': Permission denied
Nov 18 09:08:55 treebeard pulseaudio[16169]: main.c: Failed to acquire autospawn lock
Nov 18 09:08:58 treebeard setroubleshoot: SELinux is preventing the /usr/bin/pulseaudio from using potentially mislabeled files (autospawn.lock). For complete SELinux messages. run sealert -l 014c16ab-44b1-459a-b97f-331e786c2287
Nov 18 09:08:59 treebeard pulseaudio[16192]: core-util.c: Failed to create lock file '/var/lib/gdm/.pulse/e81e991d5fe03f26fc005b8e4b02a88b-runtime/autospawn.lock': Permission denied
Nov 18 09:08:59 treebeard pulseaudio[16192]: main.c: Failed to acquire autospawn lock
Nov 18 09:09:00 treebeard setroubleshoot: SELinux is preventing the /usr/bin/pulseaudio from using potentially mislabeled files (autospawn.lock). For complete SELinux messages. run sealert -l 014c16ab-44b1-459a-b97f-331e786c2287
Nov 18 09:09:01 treebeard pulseaudio[16199]: core-util.c: Failed to create lock file '/var/lib/gdm/.pulse/e81e991d5fe03f26fc005b8e4b02a88b-runtime/autospawn.lock': Permission denied
Nov 18 09:09:01 treebeard pulseaudio[16199]: main.c: Failed to acquire autospawn lock
Nov 18 09:09:02 treebeard setroubleshoot: SELinux is preventing the /usr/bin/pulseaudio from using potentially mislabeled files (autospawn.lock). For complete SELinux messages. run sealert -l 014c16ab-44b1-459a-b97f-331e786c2287
Nov 18 09:09:09 treebeard pulseaudio[16206]: core-util.c: Failed to create lock file '/var/lib/gdm/.pulse/e81e991d5fe03f26fc005b8e4b02a88b-runtime/autospawn.lock': Permission denied
Nov 18 09:09:09 treebeard pulseaudio[16206]: main.c: Failed to acquire autospawn lock
Nov 18 09:09:09 treebeard pulseaudio[16213]: core-util.c: Failed to create lock file '/var/lib/gdm/.pulse/e81e991d5fe03f26fc005b8e4b02a88b-runtime/autospawn.lock': Permission denied
Nov 18 09:09:09 treebeard pulseaudio[16213]: main.c: Failed to acquire autospawn lock
Nov 18 09:09:09 treebeard setroubleshoot: SELinux is preventing the /usr/bin/pulseaudio from using potentially mislabeled files (autospawn.lock). For complete SELinux messages. run sealert -l 014c16ab-44b1-459a-b97f-331e786c2287
Nov 18 09:09:09 treebeard setroubleshoot: SELinux is preventing the /usr/bin/pulseaudio from using potentially mislabeled files (autospawn.lock). For complete SELinux messages. run sealert -l 014c16ab-44b1-459a-b97f-331e786c2287
Nov 18 09:09:14 treebeard seahorse-daemon[16312]: init gpgme version 1.1.8
Nov 18 09:09:15 treebeard rtkit-daemon[1809]: Sucessfully made thread 16340 of process 16340 (/usr/bin/pulseaudio) owned by '500' high priority at nice level -11.
Nov 18 09:09:15 treebeard pulseaudio[16340]: pid.c: Stale PID file, overwriting.
Nov 18 09:09:15 treebeard restorecond: Unable to watch (/home/allan/public_html/*) No such file or directory
Nov 18 09:09:15 treebeard rtkit-daemon[1809]: Sucessfully made thread 16481 of process 16340 (/usr/bin/pulseaudio) owned by '500' RT at priority 5.
Nov 18 09:09:15 treebeard rtkit-daemon[1809]: Sucessfully made thread 16517 of process 16340 (/usr/bin/pulseaudio) owned by '500' RT at priority 5.
Nov 18 09:09:16 treebeard rtkit-daemon[1809]: Sucessfully made thread 16522 of process 16522 (/usr/bin/pulseaudio) owned by '500' high priority at nice level -11.
Nov 18 09:09:16 treebeard pulseaudio[16522]: pid.c: Daemon already running.
Nov 18 09:09:16 treebeard rtkit-daemon[1809]: Sucessfully made thread 16523 of process 16523 (/usr/bin/pulseaudio) owned by '500' high priority at nice level -11.
Nov 18 09:09:16 treebeard pulseaudio[16523]: pid.c: Daemon already running.
Nov 18 09:09:16 treebeard rtkit-daemon[1809]: Sucessfully made thread 16524 of process 16524 (/usr/bin/pulseaudio) owned by '500' high priority at nice level -11.
Nov 18 09:09:16 treebeard pulseaudio[16524]: pid.c: Daemon already running.
Nov 18 09:10:59 treebeard kernel: compiz[16570]: segfault at 3d2782e820 ip 0000003d2782e820 sp 00007fffab82ca08 error 14 in libuuid.so.1.3.0[3d28c00000+4000]
Nov 18 09:10:59 treebeard abrtd: Directory 'ccpp-1258560659-16570' creation detected
Nov 18 09:10:59 treebeard abrtd: Lock file '/var/cache/abrt/ccpp-1258560659-16570.lock' is locked by process 16581
Nov 18 09:10:59 treebeard abrt: saved core dump of pid 16570 to /var/cache/abrt/ccpp-1258560659-16570/coredump
Nov 18 09:10:59 treebeard abrtd: Getting local universal unique identification...
Nov 18 09:11:00 treebeard abrtd: New crash, saving...

backtrace
-----
Core was generated by `compiz --ignore-desktop-hints glib gconf gnomecompat --replace'.
Program terminated with signal 11, Segmentation fault.
#0  0x0000003d2782e820 in ?? ()

Thread 1 (Thread 16570):
#0  0x0000003d2782e820 in ?? ()
No symbol table info available.
#1  0x0000003d1d035f0d in __cxa_finalize (d=0x3d1eae40c0) at cxa_finalize.c:56
        check = <value optimized out>
        cxafn = <value optimized out>
        cxaarg = <value optimized out>
        f = 0x3d1d373330
        funcs = 0x3d1d373300
#2  0x0000003d1e813336 in __do_global_dtors_aux ()
   from /lib64/libglib-2.0.so.0
No symbol table info available.
#3  0x000000000000001d in ?? ()
No symbol table info available.
#4  0x00007fffab82cd00 in ?? ()
No symbol table info available.
#5  0x0000003d1e88a1e1 in _fini () from /lib64/libglib-2.0.so.0
No symbol table info available.
#6  0x0000000000000144 in ?? ()
No symbol table info available.
#7  0x0000003d1cc138ee in _dl_close_worker (map=<value optimized out>)
    at dl-close.c:271
        imap = 0x24a0880
        i = <value optimized out>
        dl_close_state = pending
        nsid = 145
        ns = 0x0
        any_tls = false
        nloaded = 0
        idx = <value optimized out>
        done_index = <value optimized out>
        unload_any = <value optimized out>
        scope_mem_left = <value optimized out>
        unload_global = <value optimized out>
        first_loaded = <value optimized out>
        r = 0x3d1d373ed8
        tls_free_start = <value optimized out>
        tls_free_end = <value optimized out>
Backtrace stopped: previous frame inner to this frame (corrupt stack?)
Comment 40 A Oepping 2009-11-18 12:11:25 EST
I have the NVIDIA driver, and I noticed I have a backtrace in the xorg.log. This is occurring at the same time as above. This is possibly releated to the NVIDIA driver(The nouvaeu driver was not setting the resolution on the 2nd monitor correctly). I know the drivers are closed source, so I'm not sure if this is the appropriate place, but I did send a report to linux-bugsatnvidia.com.

 Here is the backtrace:

[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Backtrace:
0: /usr/bin/Xorg (xorg_backtrace+0x28) [0x49e8d8]
1: /usr/bin/Xorg (mieqEnqueue+0x1f4) [0x49e2a4]
2: /usr/bin/Xorg (xf86PostMotionEventP+0xce) [0x478f0e]
3: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7f41dfd2f000+0x3f4f) [0x7f41dfd32f4f]
4: /usr/bin/Xorg (0x400000+0x6be17) [0x46be17]
5: /usr/bin/Xorg (0x400000+0x116b13) [0x516b13]
6: /lib64/libpthread.so.0 (0x3d1d800000+0xefa0) [0x3d1d80efa0]
7: /usr/lib64/xorg/modules/drivers/nvidia_drv.so (0x7f41f050d000+0xa4a51) [0x7f41f05b1a51]
8: /usr/lib64/xorg/modules/libwfb.so (wfbBlt+0x1045) [0x7f41f00d8495]
9: /usr/lib64/xorg/modules/libwfb.so (wfbCopyNtoN+0x25e) [0x7f41f00dc1ee]
10: /usr/bin/Xorg (miCopyRegion+0x28d) [0x54575d]
11: /usr/bin/Xorg (miDoCopy+0x44a) [0x545c6a]
12: /usr/lib64/xorg/modules/libwfb.so (wfbCopyArea+0x4c) [0x7f41f00db4cc]
13: /usr/lib64/xorg/modules/libwfb.so (wfb_image_from_pict+0x302) [0x7f41f00e08f2]
14: /usr/lib64/xorg/modules/libwfb.so (wfbComposite+0xd4) [0x7f41f00e0bd4]
15: /usr/lib64/xorg/modules/drivers/nvidia_drv.so (0x7f41f050d000+0x33e817) [0x7f41f084b817]
16: /usr/bin/Xorg (0x400000+0xd1c80) [0x4d1c80]
17: /usr/bin/Xorg (0x400000+0x15e459) [0x55e459]
18: /usr/bin/Xorg (0x400000+0x15e725) [0x55e725]
19: /usr/bin/Xorg (0x400000+0xa2366) [0x4a2366]
20: /usr/bin/Xorg (0x400000+0x4edde) [0x44edde]
21: /usr/bin/Xorg (MapWindow+0x179) [0x452ec9]
22: /usr/bin/Xorg (0x400000+0x2bdc6) [0x42bdc6]
23: /usr/bin/Xorg (0x400000+0x2c69c) [0x42c69c]
24: /usr/bin/Xorg (0x400000+0x21cfa) [0x421cfa]
25: /lib64/libc.so.6 (__libc_start_main+0xfd) [0x3d1d01eb1d]
26: /usr/bin/Xorg (0x400000+0x218a9) [0x4218a9]
[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Backtrace:
0: /usr/bin/Xorg (xorg_backtrace+0x28) [0x49e8d8]
1: /usr/bin/Xorg (mieqEnqueue+0x1f4) [0x49e2a4]
2: /usr/bin/Xorg (xf86PostMotionEventP+0xce) [0x478f0e]
3: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7f41dfd2f000+0x3f4f) [0x7f41dfd32f4f]
4: /usr/bin/Xorg (0x400000+0x6be17) [0x46be17]
5: /usr/bin/Xorg (0x400000+0x116b13) [0x516b13]
6: /lib64/libpthread.so.0 (0x3d1d800000+0xefa0) [0x3d1d80efa0]
7: /usr/lib64/xorg/modules/drivers/nvidia_drv.so (0x7f41f050d000+0xa4a51) [0x7f41f05b1a51]
8: /usr/lib64/xorg/modules/libwfb.so (wfbBlt+0x1045) [0x7f41f00d8495]
9: /usr/lib64/xorg/modules/libwfb.so (wfbCopyNtoN+0x25e) [0x7f41f00dc1ee]
10: /usr/bin/Xorg (miCopyRegion+0x28d) [0x54575d]
11: /usr/bin/Xorg (miDoCopy+0x44a) [0x545c6a]
12: /usr/lib64/xorg/modules/libwfb.so (wfbCopyArea+0x4c) [0x7f41f00db4cc]
13: /usr/lib64/xorg/modules/libwfb.so (wfb_image_from_pict+0x302) [0x7f41f00e08f2]
14: /usr/lib64/xorg/modules/libwfb.so (wfbComposite+0xd4) [0x7f41f00e0bd4]
15: /usr/lib64/xorg/modules/drivers/nvidia_drv.so (0x7f41f050d000+0x33e817) [0x7f41f084b817]
16: /usr/bin/Xorg (0x400000+0xd1c80) [0x4d1c80]
17: /usr/bin/Xorg (0x400000+0x15e459) [0x55e459]
18: /usr/bin/Xorg (0x400000+0x15e725) [0x55e725]
19: /usr/bin/Xorg (0x400000+0xa2366) [0x4a2366]
20: /usr/bin/Xorg (0x400000+0x4edde) [0x44edde]
21: /usr/bin/Xorg (MapWindow+0x179) [0x452ec9]
22: /usr/bin/Xorg (0x400000+0x15eea4) [0x55eea4]
23: /usr/bin/Xorg (0x400000+0x15f13b) [0x55f13b]
24: /usr/bin/Xorg (0x400000+0xa0419) [0x4a0419]
25: /usr/bin/Xorg (0x400000+0x2c69c) [0x42c69c]
26: /usr/bin/Xorg (0x400000+0x21cfa) [0x421cfa]
27: /lib64/libc.so.6 (__libc_start_main+0xfd) [0x3d1d01eb1d]
28: /usr/bin/Xorg (0x400000+0x218a9) [0x4218a9]

Note You need to log in before you can comment on or make changes to this bug.